Summary:   Tool to convert between any document format supported by OpenOffice.org
Name:      unoconv
Version:   0.3
Release:   3%{?dist}
License:   GPLv2
Group:     System Environment/Base
URL:       http://dag.wieers.com/home-made/unoconv/
Source:    http://dag.wieers.com/home-made/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
Requires:  openoffice.org-pyuno


%description
unoconv converts between any document format that OpenOffice.org understands.
It uses OpenOffice.org's UNO bindings for non-interactive conversion of
documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.

%prep
%setup -q

# Fix EOL encoding
sed 's|\r||' docs/unoconv.1.xml > docs/unoconv.1.xml.tmp
touch -r docs/unoconv.1.xml docs/unoconv.1.xml.tmp
mv -f docs/unoconv.1.xml.tmp docs/unoconv.1.xml

%build

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README TODO WISHLIST docs/ tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Thu May 07 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3-3
- Fix rpmlints
- Prepare package for Fedora review

* Sun Feb 22 2009 Peter Hanecak <hany@hany.sk> 0.3-2
- used %%{?dist} in release number
- license GPLv2

* Wed Dec 19 2007 Dag Wieers <dag@wieers.com> - 0.3-2 - 5993+/dag
- Fixed openoffice.org2 dependency on RHEL4.

* Sat Sep 01 2007 Dag Wieers <dag@wieers.com> - 0.3-1
- Updated to release 0.3.

* Sun May 20 2007 Dag Wieers <dag@wieers.com> - 0.2-1
- Updated to release 0.2.

* Sat May 19 2007 Dag Wieers <dag@wieers.com> - 0.1-1
- Initial package. (using DAR)
